package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel("原料食材营养基础信息")
public class MenuMaterialNutritionDTO {
   @ApiModelProperty("可食部分(g/100g)")
   private Double edible;
   @ApiModelProperty("水分(g/100g)")
   private Double water;
   @ApiModelProperty("热量(千卡/100g)")
   private Double calories;
   @ApiModelProperty("蛋白质(g/100g)")
   private Double protein;
   @ApiModelProperty("脂肪(g/100g)")
   private Double fat;
   @ApiModelProperty("碳水化合物(g/100g)")
   private Double carbohydrate;
   @ApiModelProperty("膳食纤维(g/100g)")
   private Double dietaryFiber;
   @ApiModelProperty("胆固醇(mg/100g)")
   private Double cholesterol;
   @ApiModelProperty("灰分(g/100g)")
   private Double ash;
   @ApiModelProperty("维生素a(μg/100g)")
   private Double vitaminA;
   @ApiModelProperty("胡萝卜素(μg/100g)")
   private Double carotene;
   @ApiModelProperty("视黄醇(μg/100g)")
   private Double retinol;
   @ApiModelProperty("硫胺素(mg/100g)")
   private Double thiamine;
   @ApiModelProperty("核黄素(mg/100g)")
   private Double riboflavin;
   @ApiModelProperty("烟酸/尼克酸(mg/100g)")
   private Double niacin;
   @ApiModelProperty("维生素c(mg/100g)")
   private Double vitaminC;
   @ApiModelProperty("维生素d(μg/100g)")
   private Double vitaminD;
   @ApiModelProperty("维生素e(g/100g)")
   private Double vitaminE;
   @ApiModelProperty("钙(mg/100g)")
   private Double calcium;
   @ApiModelProperty("磷(mg/100g)")
   private Double phosphorus;
   @ApiModelProperty("钾(mg/100g)")
   private Double kalium;
   @ApiModelProperty("钠(mg/100g)")
   private Double sodium;
   @ApiModelProperty("镁(mg/100g)")
   private Double magnesium;
   @ApiModelProperty("铁(mg/100g)")
   private Double iron;
   @ApiModelProperty("锌(mg/100g)")
   private Double zinc;
   @ApiModelProperty("硒(μg/100g)")
   private Double selenium;
   @ApiModelProperty("铜(mg/100g)")
   private Double cuprum;
   @ApiModelProperty("锰(mg/100g)")
   private Double manganese;
   @ApiModelProperty("异亮氨酸(mg/100g)")
   private Double isoleucine;
   @ApiModelProperty("亮氨酸(mg/100g)")
   private Double leucine;
   @ApiModelProperty("赖氨酸(mg/100g)")
   private Double lysine;
   @ApiModelProperty("含硫氨基酸(mg/100g)")
   private Double saaTotal;
   @ApiModelProperty("芳香族氨基酸(mg/100g)")
   private Double aaaTotal;
   @ApiModelProperty("苏氨酸(mg/100g)")
   private Double threonine;
   @ApiModelProperty("色氨酸(mg/100g)")
   private Double tryptophan;
   @ApiModelProperty("缬氨酸(mg/100g)")
   private Double valine;
   @ApiModelProperty("精氨酸(mg/100g)")
   private Double arginine;
   @ApiModelProperty("组氨酸(mg/100g)")
   private Double histidine;
   @ApiModelProperty("丙氨酸(mg/100g)")
   private Double alanine;
   @ApiModelProperty("天冬氨酸(mg/100g)")
   private Double asparticAcid;
   @ApiModelProperty("谷氨酸(mg/100g)")
   private Double glutamate;
   @ApiModelProperty("甘氨酸(mg/100g)")
   private Double glycine;
   @ApiModelProperty("脯氨酸(mg/100g)")
   private Double proline;
   @ApiModelProperty("丝氨酸(mg/100g)")
   private Double serine;
   @ApiModelProperty("总脂肪酸(g/100g可食部)")
   private Double fattyAcid;
   @ApiModelProperty("饱和脂肪酸(g/100g可食部)")
   private Double saturatedFattyAcid;
   @ApiModelProperty("单不饱和脂肪酸(g/100g可食部)")
   private Double monounsaturatedFattyAcid;
   @ApiModelProperty("多不饱和脂肪酸(g/100g可食部)")
   private Double polyunsaturatedFattyAcid;
   @ApiModelProperty("碘(μg/100g)")
   private Double iodine;
   @ApiModelProperty("叶酸(mg/100g)")
   private Double folic;
   @ApiModelProperty("胆碱(mg/100g)")
   private Double choline;
   @ApiModelProperty("生物素/维生素7(ug/100g)")
   private Double biotin;
   @ApiModelProperty("泛酸(mg/100g)")
   private Double pantothenicAcid;
   @ApiModelProperty("鸟嘌呤(mg/100g)")
   private Double guanine;
   @ApiModelProperty("腺嘌呤(mg/100g)")
   private Double adenine;
   @ApiModelProperty("次黄嘌呤(mg/100g)")
   private Double hypoxanthine;
   @ApiModelProperty("黄嘌呤(mg/100g)")
   private Double xanthine;
   @ApiModelProperty("总嘌呤含量(mg/100g)")
   private Double purine;
   @ApiModelProperty("血糖生成指数(GI)")
   private Double glycemicIndex;
   @ApiModelProperty("植物甾醇总含量(mg/100g)")
   private Double totalPhytosterolContent;
   @ApiModelProperty("β-谷甾醇(mg/100g)")
   private Double cerealSterol;
   @ApiModelProperty("菜油甾醇(mg/100g)")
   private Double cameliaSterol;
   @ApiModelProperty("豆甾醇(mg/100g)")
   private Double sterol;
   @ApiModelProperty("β-谷甾烷醇(mg/100g)")
   private Double cerealSteranol;
   @ApiModelProperty("菜油甾烷醇(mg/100g)")
   private Double rapesanol;
   @ApiModelProperty("菜子甾醇(mg/100g)")
   private Double rapeseedSteranol;
   @ApiModelProperty("叶黄素+玉米素(μg/100g)")
   private Double luteinZeaxanthin;
   @ApiModelProperty("槲皮素(mg/100g)")
   private Double quercetin;
   @ApiModelProperty("杨梅黄酮(mg/100g)")
   private Double myricetin;
   @ApiModelProperty("玉米黄酮(mg/100g)")
   private Double luteolin;
   @ApiModelProperty("坎二菲醇(mg/100g)")
   private Double kaemPferol;
   @ApiModelProperty("芹菜配基(mg/100g)")
   private Double apigenin;
   @ApiModelProperty("大豆异黄酮总含量(mg/100g)")
   private Double isoflavone;
   @ApiModelProperty("黄豆苷元(mg/100g)")
   private Double daidzein;
   @ApiModelProperty("染料木黄酮(mg/100g)")
   private Double genistein;
   @ApiModelProperty("黄豆黄素(mg/100g)")
   private Double glycitein;
   @ApiModelProperty("花青素(mg/100g鲜重,包含飞燕草素、矢车菊素、芍药素)")
   private Double anthocyan;
   @ApiModelProperty("白藜芦醇(μg/100g)")
   private Double resveratrol;
   @ApiModelProperty("白藜芦醇苷(μg/100g)")
   private Double polydatin;
   @ApiModelProperty("备注/原产地")
   private String originPlace;
   @ApiModelProperty("删除标识(1删除,2正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Double getEdible() {
      return this.edible;
   }

   public Double getWater() {
      return this.water;
   }

   public Double getCalories() {
      return this.calories;
   }

   public Double getProtein() {
      return this.protein;
   }

   public Double getFat() {
      return this.fat;
   }

   public Double getCarbohydrate() {
      return this.carbohydrate;
   }

   public Double getDietaryFiber() {
      return this.dietaryFiber;
   }

   public Double getCholesterol() {
      return this.cholesterol;
   }

   public Double getAsh() {
      return this.ash;
   }

   public Double getVitaminA() {
      return this.vitaminA;
   }

   public Double getCarotene() {
      return this.carotene;
   }

   public Double getRetinol() {
      return this.retinol;
   }

   public Double getThiamine() {
      return this.thiamine;
   }

   public Double getRiboflavin() {
      return this.riboflavin;
   }

   public Double getNiacin() {
      return this.niacin;
   }

   public Double getVitaminC() {
      return this.vitaminC;
   }

   public Double getVitaminD() {
      return this.vitaminD;
   }

   public Double getVitaminE() {
      return this.vitaminE;
   }

   public Double getCalcium() {
      return this.calcium;
   }

   public Double getPhosphorus() {
      return this.phosphorus;
   }

   public Double getKalium() {
      return this.kalium;
   }

   public Double getSodium() {
      return this.sodium;
   }

   public Double getMagnesium() {
      return this.magnesium;
   }

   public Double getIron() {
      return this.iron;
   }

   public Double getZinc() {
      return this.zinc;
   }

   public Double getSelenium() {
      return this.selenium;
   }

   public Double getCuprum() {
      return this.cuprum;
   }

   public Double getManganese() {
      return this.manganese;
   }

   public Double getIsoleucine() {
      return this.isoleucine;
   }

   public Double getLeucine() {
      return this.leucine;
   }

   public Double getLysine() {
      return this.lysine;
   }

   public Double getSaaTotal() {
      return this.saaTotal;
   }

   public Double getAaaTotal() {
      return this.aaaTotal;
   }

   public Double getThreonine() {
      return this.threonine;
   }

   public Double getTryptophan() {
      return this.tryptophan;
   }

   public Double getValine() {
      return this.valine;
   }

   public Double getArginine() {
      return this.arginine;
   }

   public Double getHistidine() {
      return this.histidine;
   }

   public Double getAlanine() {
      return this.alanine;
   }

   public Double getAsparticAcid() {
      return this.asparticAcid;
   }

   public Double getGlutamate() {
      return this.glutamate;
   }

   public Double getGlycine() {
      return this.glycine;
   }

   public Double getProline() {
      return this.proline;
   }

   public Double getSerine() {
      return this.serine;
   }

   public Double getFattyAcid() {
      return this.fattyAcid;
   }

   public Double getSaturatedFattyAcid() {
      return this.saturatedFattyAcid;
   }

   public Double getMonounsaturatedFattyAcid() {
      return this.monounsaturatedFattyAcid;
   }

   public Double getPolyunsaturatedFattyAcid() {
      return this.polyunsaturatedFattyAcid;
   }

   public Double getIodine() {
      return this.iodine;
   }

   public Double getFolic() {
      return this.folic;
   }

   public Double getCholine() {
      return this.choline;
   }

   public Double getBiotin() {
      return this.biotin;
   }

   public Double getPantothenicAcid() {
      return this.pantothenicAcid;
   }

   public Double getGuanine() {
      return this.guanine;
   }

   public Double getAdenine() {
      return this.adenine;
   }

   public Double getHypoxanthine() {
      return this.hypoxanthine;
   }

   public Double getXanthine() {
      return this.xanthine;
   }

   public Double getPurine() {
      return this.purine;
   }

   public Double getGlycemicIndex() {
      return this.glycemicIndex;
   }

   public Double getTotalPhytosterolContent() {
      return this.totalPhytosterolContent;
   }

   public Double getCerealSterol() {
      return this.cerealSterol;
   }

   public Double getCameliaSterol() {
      return this.cameliaSterol;
   }

   public Double getSterol() {
      return this.sterol;
   }

   public Double getCerealSteranol() {
      return this.cerealSteranol;
   }

   public Double getRapesanol() {
      return this.rapesanol;
   }

   public Double getRapeseedSteranol() {
      return this.rapeseedSteranol;
   }

   public Double getLuteinZeaxanthin() {
      return this.luteinZeaxanthin;
   }

   public Double getQuercetin() {
      return this.quercetin;
   }

   public Double getMyricetin() {
      return this.myricetin;
   }

   public Double getLuteolin() {
      return this.luteolin;
   }

   public Double getKaemPferol() {
      return this.kaemPferol;
   }

   public Double getApigenin() {
      return this.apigenin;
   }

   public Double getIsoflavone() {
      return this.isoflavone;
   }

   public Double getDaidzein() {
      return this.daidzein;
   }

   public Double getGenistein() {
      return this.genistein;
   }

   public Double getGlycitein() {
      return this.glycitein;
   }

   public Double getAnthocyan() {
      return this.anthocyan;
   }

   public Double getResveratrol() {
      return this.resveratrol;
   }

   public Double getPolydatin() {
      return this.polydatin;
   }

   public String getOriginPlace() {
      return this.originPlace;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setEdible(final Double edible) {
      this.edible = edible;
   }

   public void setWater(final Double water) {
      this.water = water;
   }

   public void setCalories(final Double calories) {
      this.calories = calories;
   }

   public void setProtein(final Double protein) {
      this.protein = protein;
   }

   public void setFat(final Double fat) {
      this.fat = fat;
   }

   public void setCarbohydrate(final Double carbohydrate) {
      this.carbohydrate = carbohydrate;
   }

   public void setDietaryFiber(final Double dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
   }

   public void setCholesterol(final Double cholesterol) {
      this.cholesterol = cholesterol;
   }

   public void setAsh(final Double ash) {
      this.ash = ash;
   }

   public void setVitaminA(final Double vitaminA) {
      this.vitaminA = vitaminA;
   }

   public void setCarotene(final Double carotene) {
      this.carotene = carotene;
   }

   public void setRetinol(final Double retinol) {
      this.retinol = retinol;
   }

   public void setThiamine(final Double thiamine) {
      this.thiamine = thiamine;
   }

   public void setRiboflavin(final Double riboflavin) {
      this.riboflavin = riboflavin;
   }

   public void setNiacin(final Double niacin) {
      this.niacin = niacin;
   }

   public void setVitaminC(final Double vitaminC) {
      this.vitaminC = vitaminC;
   }

   public void setVitaminD(final Double vitaminD) {
      this.vitaminD = vitaminD;
   }

   public void setVitaminE(final Double vitaminE) {
      this.vitaminE = vitaminE;
   }

   public void setCalcium(final Double calcium) {
      this.calcium = calcium;
   }

   public void setPhosphorus(final Double phosphorus) {
      this.phosphorus = phosphorus;
   }

   public void setKalium(final Double kalium) {
      this.kalium = kalium;
   }

   public void setSodium(final Double sodium) {
      this.sodium = sodium;
   }

   public void setMagnesium(final Double magnesium) {
      this.magnesium = magnesium;
   }

   public void setIron(final Double iron) {
      this.iron = iron;
   }

   public void setZinc(final Double zinc) {
      this.zinc = zinc;
   }

   public void setSelenium(final Double selenium) {
      this.selenium = selenium;
   }

   public void setCuprum(final Double cuprum) {
      this.cuprum = cuprum;
   }

   public void setManganese(final Double manganese) {
      this.manganese = manganese;
   }

   public void setIsoleucine(final Double isoleucine) {
      this.isoleucine = isoleucine;
   }

   public void setLeucine(final Double leucine) {
      this.leucine = leucine;
   }

   public void setLysine(final Double lysine) {
      this.lysine = lysine;
   }

   public void setSaaTotal(final Double saaTotal) {
      this.saaTotal = saaTotal;
   }

   public void setAaaTotal(final Double aaaTotal) {
      this.aaaTotal = aaaTotal;
   }

   public void setThreonine(final Double threonine) {
      this.threonine = threonine;
   }

   public void setTryptophan(final Double tryptophan) {
      this.tryptophan = tryptophan;
   }

   public void setValine(final Double valine) {
      this.valine = valine;
   }

   public void setArginine(final Double arginine) {
      this.arginine = arginine;
   }

   public void setHistidine(final Double histidine) {
      this.histidine = histidine;
   }

   public void setAlanine(final Double alanine) {
      this.alanine = alanine;
   }

   public void setAsparticAcid(final Double asparticAcid) {
      this.asparticAcid = asparticAcid;
   }

   public void setGlutamate(final Double glutamate) {
      this.glutamate = glutamate;
   }

   public void setGlycine(final Double glycine) {
      this.glycine = glycine;
   }

   public void setProline(final Double proline) {
      this.proline = proline;
   }

   public void setSerine(final Double serine) {
      this.serine = serine;
   }

   public void setFattyAcid(final Double fattyAcid) {
      this.fattyAcid = fattyAcid;
   }

   public void setSaturatedFattyAcid(final Double saturatedFattyAcid) {
      this.saturatedFattyAcid = saturatedFattyAcid;
   }

   public void setMonounsaturatedFattyAcid(final Double monounsaturatedFattyAcid) {
      this.monounsaturatedFattyAcid = monounsaturatedFattyAcid;
   }

   public void setPolyunsaturatedFattyAcid(final Double polyunsaturatedFattyAcid) {
      this.polyunsaturatedFattyAcid = polyunsaturatedFattyAcid;
   }

   public void setIodine(final Double iodine) {
      this.iodine = iodine;
   }

   public void setFolic(final Double folic) {
      this.folic = folic;
   }

   public void setCholine(final Double choline) {
      this.choline = choline;
   }

   public void setBiotin(final Double biotin) {
      this.biotin = biotin;
   }

   public void setPantothenicAcid(final Double pantothenicAcid) {
      this.pantothenicAcid = pantothenicAcid;
   }

   public void setGuanine(final Double guanine) {
      this.guanine = guanine;
   }

   public void setAdenine(final Double adenine) {
      this.adenine = adenine;
   }

   public void setHypoxanthine(final Double hypoxanthine) {
      this.hypoxanthine = hypoxanthine;
   }

   public void setXanthine(final Double xanthine) {
      this.xanthine = xanthine;
   }

   public void setPurine(final Double purine) {
      this.purine = purine;
   }

   public void setGlycemicIndex(final Double glycemicIndex) {
      this.glycemicIndex = glycemicIndex;
   }

   public void setTotalPhytosterolContent(final Double totalPhytosterolContent) {
      this.totalPhytosterolContent = totalPhytosterolContent;
   }

   public void setCerealSterol(final Double cerealSterol) {
      this.cerealSterol = cerealSterol;
   }

   public void setCameliaSterol(final Double cameliaSterol) {
      this.cameliaSterol = cameliaSterol;
   }

   public void setSterol(final Double sterol) {
      this.sterol = sterol;
   }

   public void setCerealSteranol(final Double cerealSteranol) {
      this.cerealSteranol = cerealSteranol;
   }

   public void setRapesanol(final Double rapesanol) {
      this.rapesanol = rapesanol;
   }

   public void setRapeseedSteranol(final Double rapeseedSteranol) {
      this.rapeseedSteranol = rapeseedSteranol;
   }

   public void setLuteinZeaxanthin(final Double luteinZeaxanthin) {
      this.luteinZeaxanthin = luteinZeaxanthin;
   }

   public void setQuercetin(final Double quercetin) {
      this.quercetin = quercetin;
   }

   public void setMyricetin(final Double myricetin) {
      this.myricetin = myricetin;
   }

   public void setLuteolin(final Double luteolin) {
      this.luteolin = luteolin;
   }

   public void setKaemPferol(final Double kaemPferol) {
      this.kaemPferol = kaemPferol;
   }

   public void setApigenin(final Double apigenin) {
      this.apigenin = apigenin;
   }

   public void setIsoflavone(final Double isoflavone) {
      this.isoflavone = isoflavone;
   }

   public void setDaidzein(final Double daidzein) {
      this.daidzein = daidzein;
   }

   public void setGenistein(final Double genistein) {
      this.genistein = genistein;
   }

   public void setGlycitein(final Double glycitein) {
      this.glycitein = glycitein;
   }

   public void setAnthocyan(final Double anthocyan) {
      this.anthocyan = anthocyan;
   }

   public void setResveratrol(final Double resveratrol) {
      this.resveratrol = resveratrol;
   }

   public void setPolydatin(final Double polydatin) {
      this.polydatin = polydatin;
   }

   public void setOriginPlace(final String originPlace) {
      this.originPlace = originPlace;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
